Package org.kie.api.conf

## Enum DeclarativeAgendaOption

- java.lang.Object
- - java.lang.Enum<DeclarativeAgendaOption>
  - - org.kie.api.conf.DeclarativeAgendaOption

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DeclarativeAgendaOption>`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`, `SingleValueRuleBaseOption`

      public enum DeclarativeAgendaOption
      extends java.lang.Enum<DeclarativeAgendaOption>
      implements SingleValueRuleBaseOption

  An enum to enable Declarative Agenda option. This is an experimental feature.

       drools.declarativeAgenda = <true|false>

  DEFAULT = false.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` |
    `ENABLED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OptionKey` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The property name for the L and R Unlinking option

    - ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DeclarativeAgendaOption` | `determineDeclarativeAgenda​(java.lang.String option)` |
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isDeclarativeAgendaEnabled()` |
    `static DeclarativeAgendaOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DeclarativeAgendaOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

    - ### Methods inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

      `type`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final DeclarativeAgendaOption ENABLED

    - #### DISABLED

          public static final DeclarativeAgendaOption DISABLED

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name for the L and R Unlinking option
      See Also:
        Constant Field Values

    - #### KEY

          public static OptionKey KEY

  - ### Method Detail

    - #### values

          public static DeclarativeAgendaOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeclarativeAgendaOption c : DeclarativeAgendaOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeclarativeAgendaOption valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### isDeclarativeAgendaEnabled

          public boolean isDeclarativeAgendaEnabled()

    - #### determineDeclarativeAgenda

          public static DeclarativeAgendaOption determineDeclarativeAgenda​(java.lang.String option)